## ustaw katalog roboczy


library(openxlsx)
dane <- read.xlsx('5_testy_rozne.xlsx',
                  sheet=3)
## test F do porownania dwoch wariancji
var.test(dane$Srednia.ocen~dane$Rodzaj)

dane <- read.xlsx('5_testy_rozne.xlsx',
                  sheet=4)
## tworze tabele czestosci
table(dane$Odbir.oferty, dane$Wielkosc.miasta)
## sprawdzam czy zmienne sa zalezne (test chi niezaleznosci cech)
chisq.test(dane$Odbir.oferty, dane$Wielkosc.miasta)

dane <- read.xlsx('5_testy_rozne.xlsx',
                  sheet=5)
## sprawdzam rownosc srednich dla 3 grup, jakiego testu nalezy uzyc?
ggplot(dane, aes(Punkty, fill = Grupa))+
  geom_histogram()

shapiro.test(dane$Punkty)


oneway.test(Punkty~Grupa, data=dane, var.equal=T)

#wczytuje nowa baze

dane <- read.csv2('klienci_nowaka.csv')

library(dplyr)
#tworze tabele z proporcja
table(dane$Szyld.przed) %>% prop.table()

#robie test z dla proporcji i przedzial ufnosci

table(dane$Szyld.przed) %>% prop.test() %>% .$conf

table(dane$Szyld.przed) %>% .[c('widoczny','niewidoczny')] %>% prop.test() %>% .$conf


#test proporcji dla 1 populacji
palacze <- 52
proba <- 120

prop.test(palacze, proba, 0.5)

#test na rownosc proporcji dla dwoch populacji
palacze <- c(52, 45)
proba <- c(120, 118)

prop.test(palacze, proba)

#### 3 populacje

palacze <- c(52, 45, 41, 30)
proba <- c(120, 118, 140, 90)

prop.test(palacze, proba)

palacze <- c(52, 5, 41, 30)
proba <- c(120, 11, 140, 90)

prop.test(palacze, proba)

#################
#W celu sprawdzenia wystapienia korelacji, najpierw powinno sie sprawdzic zgodnosc z rozkladem N
shapiro.test(dane$Zadowolenie)
shapiro.test(dane$Wiek)
cor.test(dane$Zadowolenie, dane$Wiek)
plot(dane$Zadowolenie, dane$Wiek)

################
## co w przypadku braku zgodnosci z rozkladem
shapiro.test(dane$Waga)$p.value
cor.test(dane$Zadowolenie, dane$Waga, method='spearman')

##############

### test chi, a test Fishera

table(dane$Z.polecenia, dane$Plec)
chisq.test(dane$Z.polecenia, dane$Plec)

###############

table(dane$Wyksztalcenie, dane$Plec)
chisq.test(dane$Wyksztalcenie, dane$Plec)

###################

table(dane$Wyksztalcenie, dane$Z.polecenia)
chisq.test(dane$Wyksztalcenie, dane$Z.polecenia)
fisher.test(dane$Wyksztalcenie, dane$Z.polecenia)

################
## test zgodnosci z rozkladem w podziale na grupy 
tapply(dane$Zadowolenie, dane$Plec, shapiro.test)
##jednorodnosc wariancji
var.test(Zadowolenie~Plec, data=dane)
#rownosc srednich
t.test(Zadowolenie~Plec, data=dane, var.equal=T)

################
### zmiana dla nierownych wariancji
tapply(dane$Produkty, dane$Z.polecenia, shapiro.test)
var.test(Produkty~Z.polecenia, data=dane)
t.test(Produkty~Z.polecenia, data=dane, var.equal=F)

#############
## a jesli nie ma rozkladu N?
tapply(dane$Zakup1, dane$Plec, shapiro.test)
wilcox.test(Zakup1~Plec, data=dane, paired=F)

################
###ANOVA

tapply(dane$Zakupy.po, dane$Miasto, shapiro.test)
bartlett.test(Zakupy.po~Miasto, data=dane)
oneway.test(Zakupy.po~Miasto, data=dane, var.equal = T)
TukeyHSD(aov(Zakupy.po~Miasto, data=dane))

#################
## zamiennik dla braku rozkladu normalnego 
tapply(dane$Zakup1, dane$Wyksztalcenie, shapiro.test)
kruskal.test(Zakup1~Wyksztalcenie, data=dane)
pairwise.wilcox.test(dane$Zakup1, dane$Wyksztalcenie,
                     paired = F, p.adjust.method = 'bonferroni')


#############################
## podejscie od ogolu do szczegolu przy budowaniu modelu liniowego

dane <- read.csv2('analiza_regresji_szkolenia_v2.csv')
cor(dane[,2:6])
#wyrzucam Upust, dlaczego?
dane <- dane[,c(1,2,4,6)]
model <- lm(Liczba.szkolen~Data+Sredni.czas+Realna.inwestycja, data=dane)
summary(model)
##wyrzucam sredni.czas, dlaczego ?
dane <- dane[,c(1,2,6)]
model <- lm(Liczba.szkolen~Data+Realna.inwestycja, data=dane)
summary(model)


#################################################

